| Irrlicht 3D Engine |

Public Member Functions
irr::scene::SVertexColorThresholdManipulator Class Reference

Vertex manipulator to set vertex color to one of two values depending on a given threshold. More...

`#include <SVertexManipulator.h>`

Inheritance diagram for irr::scene::SVertexColorThresholdManipulator:

List of all members.

## Public Member Functions

- SVertexColorThresholdManipulator (u8 threshold, video::SColor low, video::SColor high)
- void operator() (video::S3DVertex &vertex) const

## Detailed Description

Vertex manipulator to set vertex color to one of two values depending on a given threshold.

If average of the color value is >Threshold the High color is chosen, else Low.

Definition at line 63 of file SVertexManipulator.h.

## Constructor & Destructor Documentation

irr::scene::SVertexColorThresholdManipulator::SVertexColorThresholdManipulator | ( | u8 | threshold,
|  | video::SColor | low,
|  | video::SColor | high
| ) |  | `[inline]`

Definition at line 66 of file SVertexManipulator.h.

## Member Function Documentation

void irr::scene::SVertexColorThresholdManipulator::operator() | ( | video::S3DVertex & | vertex | ) | const`[inline]`

Definition at line 68 of file SVertexManipulator.h.

References irr::video::S3DVertex::Color.

The documentation for this class was generated from the following file:

- SVertexManipulator.h